apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: versions-ingress
  annotations:
    k8s.apisix.apache.org/http-to-https: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: apisix
  rules:
    - host: versions.pda1.test.esspass-poc.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: versions-service
                port:
                  number: 3500
  tls:
    - hosts:
      - versions.pda1.test.esspass-poc.eu
      secretName: versions-test-esspass-poc-cert
